#include <QApplication>
#include <QFont>
#include <QtGui>
#include "MainWin.h"
#include "Plot.h"

int main(int argc, char* argv[]) {
	Q_INIT_RESOURCE(resources);

	// create a new instance of QApplication with params argc and argv
	QApplication app( argc, argv );
	app.setWindowIcon(QIcon(":plot.png"));
	app.setStyle("plastique");
	// create a new instance of MainWindow with no parent widget
	MainWin * mainwin = new MainWin(0, Qt::Window);


	// When Main Window closes everything MUST be destroyed...
	mainwin->setAttribute(Qt::WA_DeleteOnClose);

	app.setFont(QFont("Sans",8));
	app.setActiveWindow(mainwin);
	
	// resize window to 640 x 480
	mainwin->resize(800,800);
	// Shows the widget and its child widgets.
	mainwin->show();
	
	return app.exec();
}

